# Qualcomm Snapdragon 845 (SDM845) config fragment

CONFIG_LOCALVERSION="-sdm845"
# CONFIG_LOCALVERSION_AUTO is not set

# OnePlus 6
CONFIG_DRM_PANEL_SAMSUNG_SOFEF00=y
CONFIG_BATTERY_BQ27XXX=m
# Touchscreen
CONFIG_HID_RMI=m
CONFIG_RMI4_CORE=m
CONFIG_RMI4_I2C=m
CONFIG_RMI4_F55=y

# Pocophone F1
CONFIG_DRM_PANEL_NOVATEK_NT36672A=y
CONFIG_DRM_PANEL_EBBG_FHD_FT8719=y
CONFIG_TOUCHSCREEN_NT36XXX=m
CONFIG_TOUCHSCREEN_FTS=m
CONFIG_QCOM_GPI_DMA=m
CONFIG_SND_SOC_TAS2559=m

# SOC
CONFIG_NR_CPUS=8
CONFIG_PINCTRL_SDM845=y
CONFIG_SCSI_UFS_QCOM=y
CONFIG_QCOM_GSBI=y
CONFIG_QCOM_LLCC=y
CONFIG_QCOM_OCMEM=y
CONFIG_QCOM_RMTFS_MEM=y
CONFIG_QCOM_SOCINFO=y
CONFIG_QCOM_WCNSS_CTRL=y
CONFIG_QCOM_APR=y

# Clocks
CONFIG_SDM_GPUCC_845=y
CONFIG_SDM_VIDEOCC_845=y
CONFIG_SDM_DISPCC_845=y

# Remoteproc
CONFIG_SLIMBUS=y
CONFIG_SLIM_QCOM_CTRL=y
CONFIG_SLIM_QCOM_NGD_CTRL=y
CONFIG_REMOTEPROC_CDEV=y
CONFIG_INTERCONNECT=y
CONFIG_INTERCONNECT_QCOM=y
CONFIG_INTERCONNECT_QCOM_SDM845=y

# Battery
CONFIG_BATTERY_PMI8998_FG=m

# Graphics
CONFIG_DRM=y
CONFIG_DRM_FBDEV_EMULATION=y
CONFIG_DRM_MSM=y

CONFIG_REGULATOR_QCOM_LABIBB=y

CONFIG_BACKLIGHT_QCOM_WLED=m

# Haptics
CONFIG_FF_MEMLESS=y
CONFIG_INPUT_PMI8998_HAPTICS=m

# Power management
CONFIG_PM_AUTOSLEEP=y
CONFIG_PM_WAKELOCKS=y

# Misc useful things
CONFIG_SCSI_SCAN_ASYNC=y
# Needed for mounting userdata on android
CONFIG_QFMT_V2=y
CONFIG_PSTORE=y
CONFIG_PSTORE_CONSOLE=y
CONFIG_PSTORE_RAM=y
CONFIG_USB_ETH=y

# HID
CONFIG_I2C_HID=y

# Stuff enabled already by defconfig
#CONFIG_RTC_DRV_PM8XXX=y
#CONFIG_SCHED_SMT=y
#CONFIG_BLK_DEV_DM=y
#CONFIG_DM_CRYPT=y

CONFIG_SND_SOC_WCD9335=m
CONFIG_POWER_RESET_QCOM_PON=y
CONFIG_QCOM_SPMI_TEMP_ALARM=y
CONFIG_QCOM_THERMAL_LIMITS_DCVS=y

#CONFIG_DRM=y
#CONFIG_DRM_MSM=y
#CONFIG_DRM_MSM_REGISTER_LOGGING=y
#CONFIG_DRM_UDL=y
#CONFIG_MEDIA_SUPPORT=y
CONFIG_USB_CONFIGFS=y
CONFIG_USB_CONFIGFS_F_HID=y
#CONFIG_TYPEC_TCPCI=y
#CONFIG_TYPEC_DP_ALTMODE=y
#CONFIG_TYPEC_QCOM_PMIC=y
CONFIG_LEDS_TRIGGER_ONESHOT=y
CONFIG_LEDS_TRIGGER_BACKLIGHT=y
CONFIG_LEDS_TRIGGER_ACTIVITY=y


CONFIG_RPMSG_CHAR=y
#CONFIG_RPMSG_VIRTIO=y
CONFIG_QCOM_Q6V5_ADSP=m
#CONFIG_BT_RFCOMM=y
#CONFIG_BT_RFCOMM_TTY=y
#CONFIG_BT_BNEP=y
#CONFIG_BT_BNEP_MC_FILTER=y
#CONFIG_BT_BNEP_PROTO_FILTER=y
CONFIG_BT_HS=y
CONFIG_BT_LE=y
#CONFIG_RFKILL_GPIO=y
CONFIG_HID_BATTERY_STRENGTH=y
CONFIG_HIDRAW=y
#CONFIG_CONNECTOR=y
CONFIG_QCOM_COINCELL=m
CONFIG_QCOM_FASTRPC=m
#CONFIG_SLIMBUS=y
#CONFIG_SLIM_QCOM_CTRL=y
#CONFIG_SLIM_QCOM_NGD_CTRL=y
#CONFIG_QCOM_APR=y
#CONFIG_QCOM_GSBI=y
#CONFIG_RMNET=y
#CONFIG_QCOM_RMTFS_MEM=y
#CONFIG_QCOM_SPMI_IADC=y
CONFIG_QCOM_SPMI_VADC=y
CONFIG_QCOM_SPMI_ADC5=y
#CONFIG_PHY_QCOM_PCIE2=y
CONFIG_PHY_QCOM_QMP=y
CONFIG_PHY_QCOM_QUSB2=y
CONFIG_LEDS_CLASS_FLASH=y
CONFIG_TMPFS_POSIX_ACL=y
#CONFIG_BACKLIGHT_PWM=y
#CONFIG_BACKLIGHT_QCOM_WLED=y
#CONFIG_UIO=y
#CONFIG_MPTCP=y
CONFIG_TCP_CONG_ADVANCED=y
CONFIG_TCP_CONG_WESTWOOD=y
CONFIG_DEFAULT_WESTWOOD=y
CONFIG_BLK_DEV_RAM=y
CONFIG_BLK_DEV_RAM_SIZE=8192
CONFIG_F2FS_FS=y
#CONFIG_EXFAT_FS=m
#CONFIG_NTFS_FS=m
CONFIG_NLS_UTF8=y
CONFIG_NLS_DEFAULT="utf8"
CONFIG_FAT_DEFAULT_UTF8=y
CONFIG_CPU_FREQ_GOV_POWERSAVE=y
#CONFIG_CPU_FREQ_GOV_CONSERVATIVE=y
CONFIG_SYN_COOKIES=y
CONFIG_UEVENT_HELPER=y
CONFIG_INPUT_UINPUT=m
CONFIG_PSTORE_PMSG=y
CONFIG_PSTORE_DEFLATE_COMPRESS=n
CONFIG_U_SERIAL_CONSOLE=y
#CONFIG_EXTCON_GPIO=y
#CONFIG_EXTCON_QCOM_SPMI_MISC=y
#CONFIG_USB_GPIO_VBUS=y
#CONFIG_USB_DWC3_ULPI=y
#CONFIG_USB_VIDEO_CLASS=m
CONFIG_USB_ANNOUNCE_NEW_DEVICES=y
CONFIG_HIBERNATION=n
CONFIG_FW_LOADER_USER_HELPER=n
CONFIG_FW_LOADER_USER_HELPER_FALLBACK=n

# NOTE: Core Power Reduction driver for CPU scaling from SoMMainline
CONFIG_QCOM_CPR3=y
#CONFIG_ARM_QCOM_CPUFREQ_NVMEM=n

# Anbox
#CONFIG_BRIDGE=y
CONFIG_BRIDGE_NETFILTER=y
CONFIG_CHECKPOINT_RESTORE=y
CONFIG_PACKET_DIAG=y
CONFIG_UNIX_DIAG=y
CONFIG_NETLINK_DIAG=m

#CONFIG_NETFILTER_NETLINK_QUEUE=m
#CONFIG_IP_SET=m
#CONFIG_NETFILTER_XT_SET=m
CONFIG_NETFILTER_XT_MATCH_COMMENT=m
#CONFIG_NETFILTER_XT_MATCH_NFACCT=m
CONFIG_STAGING=y
CONFIG_ASHMEM=y
CONFIG_ANDROID=y
CONFIG_ANDROID_BINDER_IPC=y
CONFIG_SQUASHFS_XATTR=y
CONFIG_SQUASHFS_LZ4=y
CONFIG_SQUASHFS_LZO=y
CONFIG_SQUASHFS_XZ=y


# USB UART
#CONFIG_USB_ACM=y
#CONFIG_USB_SERIAL=y
#CONFIG_USB_SERIAL_FTDI_SIO=y

# Block cleanup
CONFIG_BLK_DEV_NVME=n
CONFIG_ATA=n
CONFIG_MTD=n
CONFIG_SRAM=n
CONFIG_MEGARAID_SAS=n
CONFIG_EEPROM_AT25=n
CONFIG_SCSI_MPT3SAS=n
CONFIG_BLK_DEV_MD=n
CONFIG_DM_MIRROR=n
CONFIG_DM_ZERO=n

# Filesystems cleanup
CONFIG_EXT2_FS=n
CONFIG_EXT3_FS=n
CONFIG_BTRFS_FS=n
#CONFIG_EXT4_FS=y

# USB cleanup
CONFIG_USB_DWC2=n
CONFIG_USB_CHIPIDEA=n
CONFIG_USB_MUSB_HDRC=n
CONFIG_USB_ISP1760=n
CONFIG_USB_HSIC_USB3503=n
# CONFIG_USB_SERIAL_CP210X is not set
CONFIG_USB_NET_PLUSB=n
CONFIG_TYPEC_FUSB302=n
CONFIG_EXTCON_PTN5150=n
#CONFIG_EXTCON_USB_GPIO=n

# Network cleanup
CONFIG_REALTEK_PHY=n
CONFIG_NET_VENDOR_NI=n
CONFIG_NET_9P=n
CONFIG_CAN=n
CONFIG_BNX2X=n
CONFIG_MACB=n
CONFIG_IGB=n
CONFIG_IGBVF=n
CONFIG_SMC91X=n
CONFIG_MLX4_EN=n
CONFIG_MLX5_CORE=n
CONFIG_STMMAC_ETH=n
CONFIG_ATL1C=n
CONFIG_BRCMFMAC=n
CONFIG_WL18XX=n
CONFIG_WLCORE=n
CONFIG_ATH10K_PCI=n

# WLAN debugging
CONFIG_ATH10K_DEBUG=y
CONFIG_ATH10K_DEBUGFS=y
CONFIG_ATH10K_SPECTRAL=y

CONFIG_NET_SCH_CBS=n
CONFIG_NET_SCH_ETF=n
CONFIG_NET_SCH_TAPRIO=n
CONFIG_NET_SCH_MQPRIO=n
CONFIG_NET_CLS_BASIC=n
CONFIG_NET_CLS_FLOWER=n
CONFIG_NET_CLS_ACT=n
CONFIG_NET_ACT_GACT=n
CONFIG_NET_ACT_MIRRED=n
CONFIG_NET_ACT_GATE=n
CONFIG_NET_SCH_HTB=y
CONFIG_NET_SCH_PRIO=y
CONFIG_NET_SCH_MULTIQ=y
#CONFIG_OF_MDIO=n
CONFIG_MDIO_BUS_MUX_MMIOREG=n
CONFIG_MDIO_BUS_MUX_MULTIPLEXER=n

# Debugging stuff
CONFIG_PRINTK_TIME=y
CONFIG_DEBUG_INFO=y
CONFIG_MAGIC_SYSRQ=y
CONFIG_DEBUG_FS=y
CONFIG_DEBUG_KERNEL=y
# CONFIG_SCHED_DEBUG is not set
CONFIG_STACKTRACE=y

# As we're building specifically for sdm845
# Disable most of the other stuff we don't need
# CONFIG_ARCH_ACTIONS is not set
# CONFIG_ARCH_AGILEX is not set
# CONFIG_ARCH_SUNXI is not set
# CONFIG_ARCH_ALPINE is not set
# CONFIG_ARCH_BCM2835 is not set
# CONFIG_ARCH_BCM4908 is not set
# CONFIG_ARCH_BCM_IPROC is not set
# CONFIG_ARCH_BERLIN is not set
# CONFIG_ARCH_BRCMSTB is not set
# CONFIG_ARCH_EXYNOS is not set
# CONFIG_ARCH_K3 is not set
# CONFIG_ARCH_LAYERSCAPE is not set
# CONFIG_ARCH_LG1K is not set
# CONFIG_ARCH_HISI is not set
# CONFIG_ARCH_MEDIATEK is not set
# CONFIG_ARCH_MESON is not set
# CONFIG_ARCH_MVEBU is not set
# CONFIG_ARCH_MXC is not set
# CONFIG_ARCH_RENESAS is not set
# CONFIG_ARCH_ROCKCHIP is not set
# CONFIG_ARCH_S32 is not set
# CONFIG_ARCH_SEATTLE is not set
# CONFIG_ARCH_STRATIX10 is not set
# CONFIG_ARCH_SYNQUACER is not set
# CONFIG_ARCH_TEGRA is not set
# CONFIG_ARCH_SPRD is not set
# CONFIG_ARCH_THUNDER is not set
# CONFIG_ARCH_THUNDER2 is not set
# CONFIG_ARCH_UNIPHIER is not set
# CONFIG_ARCH_VEXPRESS is not set
# CONFIG_ARCH_VISCONTI is not set
# CONFIG_ARCH_XGENE is not set
# CONFIG_ARCH_ZX is not set
# CONFIG_ARCH_ZYNQMP is not set
# CONFIG_PCIE_ALTERA is not set
# CONFIG_GPIO_ALTERA is not set

# Allwinner
# CONFIG_MFD_AXP20X_I2C is not set

# AMD
# CONFIG_AMD_XGBE is not set

# Amlogic AXG
CONFIG_SND_SOC_ES7134=n
CONFIG_SND_SOC_ES7241=n
CONFIG_SND_SOC_TAS571X=n
CONFIG_SND_SOC_SIMPLE_AMPLIFIER=n

# APM X-Gene
# CONFIG_PCI_XGENE is not set
# CONFIG_GPIO_XGENE is not set
# CONFIG_POWER_RESET_XGENE is not set
# CONFIG_PHY_XGENE is not set
CONFIG_GPIO_DWAPB=n
CONFIG_COMMON_CLK_XGENE=n

# ARM
# CONFIG_DRM_MALI_DISPLAY is not set
# CONFIG_DRM_LIMA is not set
# CONFIG_DRM_PANFROST is not set
# CONFIG_DRM_PL111 is not set
# CONFIG_DRM_SII902X is not set
CONFIG_SENSORS_ARM_SCPI=n

# Broadcom
# CONFIG_ARM_SCMI_CPUFREQ is not set
# CONFIG_ARM_SCMI_PROTOCOL is not set
# CONFIG_SENSORS_ARM_SCMI is not set
# CONFIG_COMMON_CLK_SCMI is not set
# CONFIG_BCMGENET is not set

# Cavium Thunder
# CONFIG_PCI_HOST_THUNDER_PEM is not set
# CONFIG_PCI_HOST_THUNDER_ECAM is not set
# CONFIG_THUNDER_NIC_PF is not set
CONFIG_THUNDER_NIC_BGX=n
CONFIG_THUNDER_NIC_RGX=n
CONFIG_MDIO_THUNDER=n
CONFIG_CAVIUM_ERRATUM_22375=n
CONFIG_CAVIUM_ERRATUM_23154=n
CONFIG_CAVIUM_ERRATUM_27456=n
CONFIG_CAVIUM_ERRATUM_30115=n
CONFIG_CAVIUM_TX2_ERRATUM_219=n
CONFIG_HW_RANDOM_CAVIUM=n

# Chrome
# CONFIG_CHROME_PLATFORMS is not set
CONFIG_TCG_TPM=n
CONFIG_BATTERY_SBS=n
CONFIG_REGULATOR_VCTRL=n
CONFIG_SND_SOC_MAX98357A=n
CONFIG_SND_SOC_RL6231=n

# FPGAs
# CONFIG_FPGA is not set

# Freescale / NXP / QorIQ
# CONFIG_SERIAL_FSL_LPUART is not set
# CONFIG_SERIAL_FSL_LINFLEXUART is not set
# CONFIG_FSL_EDMA is not set
# CONFIG_FSL_ERRATUM_A008585 is not set
# CONFIG_DRM_ETNAVIV is not set
CONFIG_EEPROM_AT24=n
CONFIG_NET_DSA=n
CONFIG_AQUANTIA_PHY=n
CONFIG_MICROSEMI_PHY=n
CONFIG_VITESSE_PHY=n
CONFIG_I2C_MUX_PCA954x=n
CONFIG_SND_SOC_PCM3168A_I2C=n
CONFIG_SENSORS_LM90=n
CONFIG_SENSORS_INA2XX=n
CONFIG_RTC_DRV_DS3232=n
CONFIG_SPI_NXP_FLEXSPI=n
CONFIG_GPIO_MAX732X=n
CONFIG_SENSORS_ISL29018=n
CONFIG_MPL3115=n
CONFIG_MFD_ROHM_BD718XX=n
CONFIG_ARM_SBSA_WATCHDOG=n
CONFIG_ARM_SMC_WATCHDOG=n
CONFIG_REGULATOR_PCA9450=n
CONFIG_REGULATOR_PFUZE100=n
CONFIG_DRM_PANEL_RAYDIUM_RM67191=n
CONFIG_DRM_PANEL_SITRONIX_ST7703=n
CONFIG_PHY_MIXEL_MIPI_DPHY=n
CONFIG_DRM_NWL_MIPI_DSI=n
CONFIG_DRM_MXSFB=n
CONFIG_SND_SOC_FSL_SAI=n
CONFIG_SND_SOC_FSL_ASRC=n
CONFIG_SND_SOC_FSL_MICFIL=n
CONFIG_SND_SOC_FSL_AUDMIX=n
CONFIG_SND_SOC_FSL_SPDIF=n
CONFIG_SND_SOC_WM8904=n
CONFIG_RTC_DRV_RV8803=n
CONFIG_RTC_DRV_DS1307=n
CONFIG_RTC_DRV_PCF85363=n
CONFIG_RTC_DRV_PCF2127=n
CONFIG_PHY_FSL_IMX8MQ_USB=n

# Fujitsu
CONFIG_FUJITSU_ERRATUM_010001=n

# Huawei / Kirin / HiSilicon
# CONFIG_PCIE_KIRIN is not set
# CONFIG_PCI_HISI is not set
# CONFIG_DRM_HISI_KIRIN is not set
# CONFIG_DRM_HISI_HIBMC is not set
# CONFIG_SCSI_HISI_SAS is not set
# CONFIG_HISI_PMU is not set
# CONFIG_CRYPTO_DEV_HISI_TRNG is not set
# CONFIG_CRYPTO_DEV_HISI_SEC2 is not set
# CONFIG_CRYPTO_DEV_HISI_ZIP is not set
# CONFIG_CRYPTO_DEV_HISI_HPRE is not set
# CONFIG_NET_VENDOR_HISILICON is not set
# CONFIG_MMC_DW_HI3798CV200 is not set
# CONFIG_MMC_DW_K3 is not set
# CONFIG_MFD_HI6421_PMIC is not set
# CONFIG_HISILICON_ERRATUM_161600802 is not set
# CONFIG_HISILICON_ERRATUM_161010101 is not set
CONFIG_PCI_PASID=n
CONFIG_UACCE=n

# Intel
# CONFIG_E1000 is not set
# CONFIG_E1000E is not set
CONFIG_SPI_CADENCE_QUADSPI=n
CONFIG_DW_WATCHDOG=n

# Layerscape
# CONFIG_PCIE_LAYERSCAPE_GEN4 is not set

# Marvell / Armanda
# CONFIG_MARVELL_10G_PHY is not set
# CONFIG_NET_VENDOR_MARVELL is not set
# CONFIG_WLAN_VENDOR_MARVELL is not set
# CONFIG_MV_XOR_V2 is not set
CONFIG_NOP_USB_XCEIV=n

# Microsoft
CONFIG_SURFACE_PLATFORMS=n

# NVIDIA / Tegra
# CONFIG_DRM_NOUVEAU is not set
CONFIG_GPIO_PCA953X=n
CONFIG_BACKLIGHT_LP855X=n
CONFIG_MFD_MAX77620=n
CONFIG_SENSORS_PWM_FAN=n
CONFIG_SENSORS_INA3221=n
CONFIG_REGULATOR_MAX8973=n
CONFIG_USB_CONN_GPIO=n

# Renesas R-Car
# CONFIG_DRM_RCAR_DW_HDMI is not set
# CONFIG_MAX9611 is not set
# CONFIG_DRM_THINE_THC63LVD1024 is not set
# CONFIG_DRM_I2C_NXP_TDA998X is not set
CONFIG_MICREL_PHY=n
CONFIG_MFD_BD9571MWV=n
CONFIG_DRM_PANEL_LVDS=n
CONFIG_DRM_RCAR_LVDS=n
CONFIG_COMMON_CLK_VC5=n
CONFIG_CRYPTO_DEV_CCREE=n
CONFIG_VIDEO_IMX219=n
CONFIG_VIDEO_OV5645=n
CONFIG_SND_SOC_AK4613=n
CONFIG_SND_SIMPLE_CARD=n
CONFIG_SND_SIMPLE_CARD_UTILS=n
CONFIG_SND_AUDIO_GRAPH_CARD=n
CONFIG_TYPEC_HD3SS3220=n
CONFIG_RTC_DRV_RX8581=n
CONFIG_COMMON_CLK_CS2000_CP=n

# Rockchip
# CONFIG_ROCKCHIP_PHY is not set
# CONFIG_SPI_ROCKCHIP is not set
# CONFIG_I2C_RK3X is not set
# CONFIG_MFD_RK808 is not set
CONFIG_KEYBOARD_ADC=n
CONFIG_REGULATOR_FAN53555=n
CONFIG_TOUCHSCREEN_ATMEL_MXT=n
CONFIG_RTC_DRV_HYM8563=n

# Samsung Exynos
# CONFIG_MMC_DW_EXYNOS is not set
CONFIG_MFD_SEC_CORE=n
CONFIG_PL330_DMA=n

# Socionext
CONFIG_GPIO_MB86S7X=n
CONFIG_MMC_SDHCI_F_SDH30=n
CONFIG_MMC_SDHCI_CADENCE=n
CONFIG_SOCIONEXT_SYNQUACER_PREITS=n
CONFIG_NET_VENDOR_SOCIONEXT=n

# Librem 5
# CONFIG_TOUCHSCREEN_EDT_FT5X06 is not set
# CONFIG_BATTERY_MAX17042 is not set
# CONFIG_CHARGER_BQ25980 is not set
# CONFIG_REGULATOR_TPS65132 is not set
# CONFIG_DRM_PANEL_MANTIX_MLAF057WE51 is not set
# CONFIG_TYPEC_TPS6598X is not set
# CONFIG_LEDS_LM3692X is not set
# CONFIG_IIO_ST_LSM6DSX is not set
# CONFIG_VCNL4000 is not set

# Potentially useful later
# CONFIG_GNSS is not set

#pmOS Related
CONFIG_VT=y
CONFIG_CRYPTO_XTS=y
CONFIG_TMPFS_XATTR=y
CONFIG_DM_CRYPT=y

CONFIG_BINFMT_MISC=m